﻿using Mall.Common.AOP;
using System;
using System.Collections.Generic;
using System.Text;

namespace Mall.Model.Entity.MarketingCenter
{
    /// <summary>
    /// 充值设置
    /// </summary>
    [Serializable]
    [DB(ConnectionName = "DefaultConnection")]
    public class RB_Recharge_Settings
    {
        public int ID { get; set; }

        /// <summary>
        /// 商户id
        /// </summary>
        public int TenantId { get; set; }

        /// <summary>
        /// 小程序id
        /// </summary>
        public int MallBaseId { get; set; }


        public int Status { get; set; }

        public DateTime CreateDate { get; set; }
        public DateTime UpdateDate { get; set; }


        /// <summary>
        /// 是否显示充值余额按钮0-否，1-是  2020-07-01 add By:w
        /// </summary>
        public int IsOpenBtn { get; set; }

        /// <summary>
        /// 开启余额功能0-否，1-是
        /// </summary>
        public int IsOpenBalance { get; set; }

        /// <summary>
        /// 是否开放自定义金额，0-否，1-是
        /// </summary>
        public int IsExploitMoney { get; set; }


        /// <summary>
        /// 背景图片
        /// </summary>
        public string BackImg { get; set; }


        /// <summary>
        /// 广告图片
        /// </summary>
        public string AdvertisingImg { get; set; }

        /// <summary>
        /// 广告图片跳转链接
        /// </summary>
        public string AdvertisingLink { get; set; }

        /// <summary>
        /// 充值说明图标
        /// </summary>
        public string ExplainIco { get; set; }

        /// <summary>
        /// 充值说明
        /// </summary>
        public string Explain { get; set; }
    }
}
